Makefile.in 43 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601602603604605606607608609610611612613614615616617618619620621622623624625626627628629630631632633634635636637638639640641642643644645646647648649650651652653654655656657658659660661662663664665666667668669670671672673674675676677678679680681682683684685686687688689690691692693694695696697698699700701702703704705706707708709710711712713714715716717718719720721722723724725726727728729730731732733734735736737738739740741742743744745746747748749750751752753754755756757758759760761762763764765766767768769770771772773774775776777778779780781782783784785786787788789790791792793794795796797798799800801802803804805806807808809810811812813814815816817818819820821822823824825826827828829830831832833834835836837838839840841842843844845846847848849850851852853854855856857858859860861862863864865866867868869870871872873874875876877878879880881882883884885886887888889890891892893894895896897898899900901902903904905906907908909910911912913914915916917918919920921922923924925926927928929930931932933934935936937938939940941942943944945946947948949950951952953954955956957958959960961962963964965966967968969970971972973974975976977978979980981982983984985986987988989990991992993994995996997998999100010011002100310041005100610071008100910101011101210131014101510161017101810191020102110221023102410251026102710281029103010311032103310341035103610371038103910401041104210431044104510461047104810491050105110521053105410551056105710581059106010611062106310641065106610671068106910701071107210731074107510761077107810791080108110821083108410851086108710881089109010911092109310941095109610971098109911001101110211031104110511061107110811091110111111121113111411151116111711181119112011211122112311241125112611271128112911301131113211331134113511361137113811391140114111421143114411451146114711481149115011511152115311541155115611571158115911601161116211631164116511661167116811691170117111721173117411751176117711781179118011811182118311841185118611871188118911901191119211931194119511961197119811991200120112021203120412051206120712081209121012111212121312141215121612171218121912201221122212231224122512261227122812291230123112321233123412351236123712381239124012411242124312441245124612471248124912501251125212531254125512561257125812591260126112621263126412651266126712681269127012711272127312741275
  1. # Makefile.in generated by automake 1.16.1 from Makefile.am.
  2. # @configure_input@
  3. # Copyright (C) 1994-2018 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. @SET_MAKE@
  12. #***************************************************************************
  13. # _ _ ____ _
  14. # Project ___| | | | _ \| |
  15. # / __| | | | |_) | |
  16. # | (__| |_| | _ <| |___
  17. # \___|\___/|_| \_\_____|
  18. #
  19. # Copyright (C) 1998 - 2018, Daniel Stenberg, <daniel@haxx.se>, et al.
  20. #
  21. # This software is licensed as described in the file COPYING, which
  22. # you should have received as part of this distribution. The terms
  23. # are also available at https://curl.haxx.se/docs/copyright.html.
  24. #
  25. # You may opt to use, copy, modify, merge, publish, distribute and/or sell
  26. # copies of the Software, and permit persons to whom the Software is
  27. # furnished to do so, under the terms of the COPYING file.
  28. #
  29. # This software is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY
  30. # KIND, either express or implied.
  31. #
  32. ###########################################################################
  33. # Shared between Makefile.am and CMakeLists.txt
  34. VPATH = @srcdir@
  35. am__is_gnu_make = { \
  36. if test -z '$(MAKELEVEL)'; then \
  37. false; \
  38. elif test -n '$(MAKE_HOST)'; then \
  39. true; \
  40. elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
  41. true; \
  42. else \
  43. false; \
  44. fi; \
  45. }
  46. am__make_running_with_option = \
  47. case $${target_option-} in \
  48. ?) ;; \
  49. *) echo "am__make_running_with_option: internal error: invalid" \
  50. "target option '$${target_option-}' specified" >&2; \
  51. exit 1;; \
  52. esac; \
  53. has_opt=no; \
  54. sane_makeflags=$$MAKEFLAGS; \
  55. if $(am__is_gnu_make); then \
  56. sane_makeflags=$$MFLAGS; \
  57. else \
  58. case $$MAKEFLAGS in \
  59. *\\[\ \ ]*) \
  60. bs=\\; \
  61. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  62. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  63. esac; \
  64. fi; \
  65. skip_next=no; \
  66. strip_trailopt () \
  67. { \
  68. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  69. }; \
  70. for flg in $$sane_makeflags; do \
  71. test $$skip_next = yes && { skip_next=no; continue; }; \
  72. case $$flg in \
  73. *=*|--*) continue;; \
  74. -*I) strip_trailopt 'I'; skip_next=yes;; \
  75. -*I?*) strip_trailopt 'I';; \
  76. -*O) strip_trailopt 'O'; skip_next=yes;; \
  77. -*O?*) strip_trailopt 'O';; \
  78. -*l) strip_trailopt 'l'; skip_next=yes;; \
  79. -*l?*) strip_trailopt 'l';; \
  80. -[dEDm]) skip_next=yes;; \
  81. -[JT]) skip_next=yes;; \
  82. esac; \
  83. case $$flg in \
  84. *$$target_option*) has_opt=yes; break;; \
  85. esac; \
  86. done; \
  87. test $$has_opt = yes
  88. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  89. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  90. pkgdatadir = $(datadir)/@PACKAGE@
  91. pkgincludedir = $(includedir)/@PACKAGE@
  92. pkglibdir = $(libdir)/@PACKAGE@
  93. pkglibexecdir = $(libexecdir)/@PACKAGE@
  94. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  95. install_sh_DATA = $(install_sh) -c -m 644
  96. install_sh_PROGRAM = $(install_sh) -c
  97. install_sh_SCRIPT = $(install_sh) -c
  98. INSTALL_HEADER = $(INSTALL_DATA)
  99. transform = $(program_transform_name)
  100. NORMAL_INSTALL = :
  101. PRE_INSTALL = :
  102. POST_INSTALL = :
  103. NORMAL_UNINSTALL = :
  104. PRE_UNINSTALL = :
  105. POST_UNINSTALL = :
  106. build_triplet = @build@
  107. host_triplet = @host@
  108. subdir = docs/libcurl
  109. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  110. am__aclocal_m4_deps = $(top_srcdir)/m4/ax_code_coverage.m4 \
  111. $(top_srcdir)/m4/ax_compile_check_sizeof.m4 \
  112. $(top_srcdir)/m4/curl-compilers.m4 \
  113. $(top_srcdir)/m4/curl-confopts.m4 \
  114. $(top_srcdir)/m4/curl-functions.m4 \
  115. $(top_srcdir)/m4/curl-openssl.m4 \
  116. $(top_srcdir)/m4/curl-override.m4 \
  117. $(top_srcdir)/m4/curl-reentrant.m4 $(top_srcdir)/m4/libtool.m4 \
  118. $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
  119. $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
  120. $(top_srcdir)/m4/xc-am-iface.m4 \
  121. $(top_srcdir)/m4/xc-cc-check.m4 \
  122. $(top_srcdir)/m4/xc-lt-iface.m4 \
  123. $(top_srcdir)/m4/xc-translit.m4 \
  124. $(top_srcdir)/m4/xc-val-flgs.m4 \
  125. $(top_srcdir)/m4/zz40-xc-ovr.m4 \
  126. $(top_srcdir)/m4/zz50-xc-ovr.m4 \
  127. $(top_srcdir)/m4/zz60-xc-ovr.m4 $(top_srcdir)/acinclude.m4 \
  128. $(top_srcdir)/configure.ac
  129. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  130. $(ACLOCAL_M4)
  131. DIST_COMMON = $(srcdir)/Makefile.am $(dist_m4macro_DATA) \
  132. $(am__DIST_COMMON)
  133. mkinstalldirs = $(install_sh) -d
  134. CONFIG_HEADER = $(top_builddir)/lib/curl_config.h
  135. CONFIG_CLEAN_FILES =
  136. CONFIG_CLEAN_VPATH_FILES =
  137. AM_V_P = $(am__v_P_@AM_V@)
  138. am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  139. am__v_P_0 = false
  140. am__v_P_1 = :
  141. AM_V_GEN = $(am__v_GEN_@AM_V@)
  142. am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  143. am__v_GEN_0 = @echo " GEN " $@;
  144. am__v_GEN_1 =
  145. AM_V_at = $(am__v_at_@AM_V@)
  146. am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  147. am__v_at_0 = @
  148. am__v_at_1 =
  149. depcomp =
  150. am__maybe_remake_depfiles =
  151. SOURCES =
  152. DIST_SOURCES =
  153. RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
  154. ctags-recursive dvi-recursive html-recursive info-recursive \
  155. install-data-recursive install-dvi-recursive \
  156. install-exec-recursive install-html-recursive \
  157. install-info-recursive install-pdf-recursive \
  158. install-ps-recursive install-recursive installcheck-recursive \
  159. installdirs-recursive pdf-recursive ps-recursive \
  160. tags-recursive uninstall-recursive
  161. am__can_run_installinfo = \
  162. case $$AM_UPDATE_INFO_DIR in \
  163. n|no|NO) false;; \
  164. *) (install-info --version) >/dev/null 2>&1;; \
  165. esac
  166. am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  167. am__vpath_adj = case $$p in \
  168. $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  169. *) f=$$p;; \
  170. esac;
  171. am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  172. am__install_max = 40
  173. am__nobase_strip_setup = \
  174. srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  175. am__nobase_strip = \
  176. for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  177. am__nobase_list = $(am__nobase_strip_setup); \
  178. for p in $$list; do echo "$$p $$p"; done | \
  179. sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  180. $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  181. if (++n[$$2] == $(am__install_max)) \
  182. { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  183. END { for (dir in files) print dir, files[dir] }'
  184. am__base_list = \
  185. sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  186. sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  187. am__uninstall_files_from_dir = { \
  188. test -z "$$files" \
  189. || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  190. || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  191. $(am__cd) "$$dir" && rm -f $$files; }; \
  192. }
  193. man3dir = $(mandir)/man3
  194. am__installdirs = "$(DESTDIR)$(man3dir)" "$(DESTDIR)$(m4macrodir)"
  195. MANS = $(man_MANS)
  196. DATA = $(dist_m4macro_DATA)
  197. RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
  198. distclean-recursive maintainer-clean-recursive
  199. am__recursive_targets = \
  200. $(RECURSIVE_TARGETS) \
  201. $(RECURSIVE_CLEAN_TARGETS) \
  202. $(am__extra_recursive_targets)
  203. AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
  204. check recheck distdir distdir-am
  205. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  206. # Read a list of newline-separated strings from the standard input,
  207. # and print each of them once, without duplicates. Input order is
  208. # *not* preserved.
  209. am__uniquify_input = $(AWK) '\
  210. BEGIN { nonempty = 0; } \
  211. { items[$$0] = 1; nonempty = 1; } \
  212. END { if (nonempty) { for (i in items) print i; }; } \
  213. '
  214. # Make sure the list of sources is unique. This is necessary because,
  215. # e.g., the same source file might be shared among _SOURCES variables
  216. # for different programs/libraries.
  217. am__define_uniq_tagged_files = \
  218. list='$(am__tagged_files)'; \
  219. unique=`for i in $$list; do \
  220. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  221. done | $(am__uniquify_input)`
  222. ETAGS = etags
  223. CTAGS = ctags
  224. am__tty_colors_dummy = \
  225. mgn= red= grn= lgn= blu= brg= std=; \
  226. am__color_tests=no
  227. am__tty_colors = { \
  228. $(am__tty_colors_dummy); \
  229. if test "X$(AM_COLOR_TESTS)" = Xno; then \
  230. am__color_tests=no; \
  231. elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  232. am__color_tests=yes; \
  233. elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  234. am__color_tests=yes; \
  235. fi; \
  236. if test $$am__color_tests = yes; then \
  237. red=''; \
  238. grn=''; \
  239. lgn=''; \
  240. blu=''; \
  241. mgn=''; \
  242. brg=''; \
  243. std=''; \
  244. fi; \
  245. }
  246. am__recheck_rx = ^[ ]*:recheck:[ ]*
  247. am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
  248. am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
  249. # A command that, given a newline-separated list of test names on the
  250. # standard input, print the name of the tests that are to be re-run
  251. # upon "make recheck".
  252. am__list_recheck_tests = $(AWK) '{ \
  253. recheck = 1; \
  254. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  255. { \
  256. if (rc < 0) \
  257. { \
  258. if ((getline line2 < ($$0 ".log")) < 0) \
  259. recheck = 0; \
  260. break; \
  261. } \
  262. else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  263. { \
  264. recheck = 0; \
  265. break; \
  266. } \
  267. else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  268. { \
  269. break; \
  270. } \
  271. }; \
  272. if (recheck) \
  273. print $$0; \
  274. close ($$0 ".trs"); \
  275. close ($$0 ".log"); \
  276. }'
  277. # A command that, given a newline-separated list of test names on the
  278. # standard input, create the global log from their .trs and .log files.
  279. am__create_global_log = $(AWK) ' \
  280. function fatal(msg) \
  281. { \
  282. print "fatal: making $@: " msg | "cat >&2"; \
  283. exit 1; \
  284. } \
  285. function rst_section(header) \
  286. { \
  287. print header; \
  288. len = length(header); \
  289. for (i = 1; i <= len; i = i + 1) \
  290. printf "="; \
  291. printf "\n\n"; \
  292. } \
  293. { \
  294. copy_in_global_log = 1; \
  295. global_test_result = "RUN"; \
  296. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  297. { \
  298. if (rc < 0) \
  299. fatal("failed to read from " $$0 ".trs"); \
  300. if (line ~ /$(am__global_test_result_rx)/) \
  301. { \
  302. sub("$(am__global_test_result_rx)", "", line); \
  303. sub("[ ]*$$", "", line); \
  304. global_test_result = line; \
  305. } \
  306. else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  307. copy_in_global_log = 0; \
  308. }; \
  309. if (copy_in_global_log) \
  310. { \
  311. rst_section(global_test_result ": " $$0); \
  312. while ((rc = (getline line < ($$0 ".log"))) != 0) \
  313. { \
  314. if (rc < 0) \
  315. fatal("failed to read from " $$0 ".log"); \
  316. print line; \
  317. }; \
  318. printf "\n"; \
  319. }; \
  320. close ($$0 ".trs"); \
  321. close ($$0 ".log"); \
  322. }'
  323. # Restructured Text title.
  324. am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  325. # Solaris 10 'make', and several other traditional 'make' implementations,
  326. # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
  327. # by disabling -e (using the XSI extension "set +e") if it's set.
  328. am__sh_e_setup = case $$- in *e*) set +e;; esac
  329. # Default flags passed to test drivers.
  330. am__common_driver_flags = \
  331. --color-tests "$$am__color_tests" \
  332. --enable-hard-errors "$$am__enable_hard_errors" \
  333. --expect-failure "$$am__expect_failure"
  334. # To be inserted before the command running the test. Creates the
  335. # directory for the log if needed. Stores in $dir the directory
  336. # containing $f, in $tst the test, in $log the log. Executes the
  337. # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  338. # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
  339. # will run the test scripts (or their associated LOG_COMPILER, if
  340. # thy have one).
  341. am__check_pre = \
  342. $(am__sh_e_setup); \
  343. $(am__vpath_adj_setup) $(am__vpath_adj) \
  344. $(am__tty_colors); \
  345. srcdir=$(srcdir); export srcdir; \
  346. case "$@" in \
  347. */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
  348. *) am__odir=.;; \
  349. esac; \
  350. test "x$$am__odir" = x"." || test -d "$$am__odir" \
  351. || $(MKDIR_P) "$$am__odir" || exit $$?; \
  352. if test -f "./$$f"; then dir=./; \
  353. elif test -f "$$f"; then dir=; \
  354. else dir="$(srcdir)/"; fi; \
  355. tst=$$dir$$f; log='$@'; \
  356. if test -n '$(DISABLE_HARD_ERRORS)'; then \
  357. am__enable_hard_errors=no; \
  358. else \
  359. am__enable_hard_errors=yes; \
  360. fi; \
  361. case " $(XFAIL_TESTS) " in \
  362. *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
  363. am__expect_failure=yes;; \
  364. *) \
  365. am__expect_failure=no;; \
  366. esac; \
  367. $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  368. # A shell command to get the names of the tests scripts with any registered
  369. # extension removed (i.e., equivalently, the names of the test logs, with
  370. # the '.log' extension removed). The result is saved in the shell variable
  371. # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
  372. # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  373. # since that might cause problem with VPATH rewrites for suffix-less tests.
  374. # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  375. am__set_TESTS_bases = \
  376. bases='$(TEST_LOGS)'; \
  377. bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  378. bases=`echo $$bases`
  379. RECHECK_LOGS = $(TEST_LOGS)
  380. TEST_SUITE_LOG = test-suite.log
  381. TEST_EXTENSIONS = @EXEEXT@ .test
  382. LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
  383. LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
  384. am__set_b = \
  385. case '$@' in \
  386. */*) \
  387. case '$*' in \
  388. */*) b='$*';; \
  389. *) b=`echo '$@' | sed 's/\.log$$//'`; \
  390. esac;; \
  391. *) \
  392. b='$*';; \
  393. esac
  394. am__test_logs1 = $(TESTS:=.log)
  395. am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
  396. TEST_LOGS = $(am__test_logs2:.test.log=.log)
  397. TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
  398. TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
  399. $(TEST_LOG_FLAGS)
  400. DIST_SUBDIRS = $(SUBDIRS)
  401. am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.inc \
  402. $(top_srcdir)/test-driver
  403. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  404. am__relativize = \
  405. dir0=`pwd`; \
  406. sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  407. sed_rest='s,^[^/]*/*,,'; \
  408. sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  409. sed_butlast='s,/*[^/]*$$,,'; \
  410. while test -n "$$dir1"; do \
  411. first=`echo "$$dir1" | sed -e "$$sed_first"`; \
  412. if test "$$first" != "."; then \
  413. if test "$$first" = ".."; then \
  414. dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
  415. dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
  416. else \
  417. first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
  418. if test "$$first2" = "$$first"; then \
  419. dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
  420. else \
  421. dir2="../$$dir2"; \
  422. fi; \
  423. dir0="$$dir0"/"$$first"; \
  424. fi; \
  425. fi; \
  426. dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  427. done; \
  428. reldir="$$dir2"
  429. ACLOCAL = @ACLOCAL@
  430. AMTAR = @AMTAR@
  431. AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  432. AR = @AR@
  433. AR_FLAGS = @AR_FLAGS@
  434. AS = @AS@
  435. AUTOCONF = @AUTOCONF@
  436. AUTOHEADER = @AUTOHEADER@
  437. AUTOMAKE = @AUTOMAKE@
  438. AWK = @AWK@
  439. BLANK_AT_MAKETIME = @BLANK_AT_MAKETIME@
  440. CC = @CC@
  441. CCDEPMODE = @CCDEPMODE@
  442. CFLAGS = @CFLAGS@
  443. CFLAG_CURL_SYMBOL_HIDING = @CFLAG_CURL_SYMBOL_HIDING@
  444. CODE_COVERAGE_CFLAGS = @CODE_COVERAGE_CFLAGS@
  445. CODE_COVERAGE_CPPFLAGS = @CODE_COVERAGE_CPPFLAGS@
  446. CODE_COVERAGE_CXXFLAGS = @CODE_COVERAGE_CXXFLAGS@
  447. CODE_COVERAGE_ENABLED = @CODE_COVERAGE_ENABLED@
  448. CODE_COVERAGE_LDFLAGS = @CODE_COVERAGE_LDFLAGS@
  449. CODE_COVERAGE_LIBS = @CODE_COVERAGE_LIBS@
  450. CONFIGURE_OPTIONS = @CONFIGURE_OPTIONS@
  451. CPP = @CPP@
  452. CPPFLAGS = @CPPFLAGS@
  453. CPPFLAG_CURL_STATICLIB = @CPPFLAG_CURL_STATICLIB@
  454. CURLVERSION = @CURLVERSION@
  455. CURL_CA_BUNDLE = @CURL_CA_BUNDLE@
  456. CURL_CFLAG_EXTRAS = @CURL_CFLAG_EXTRAS@
  457. CURL_DISABLE_DICT = @CURL_DISABLE_DICT@
  458. CURL_DISABLE_FILE = @CURL_DISABLE_FILE@
  459. CURL_DISABLE_FTP = @CURL_DISABLE_FTP@
  460. CURL_DISABLE_GOPHER = @CURL_DISABLE_GOPHER@
  461. CURL_DISABLE_HTTP = @CURL_DISABLE_HTTP@
  462. CURL_DISABLE_IMAP = @CURL_DISABLE_IMAP@
  463. CURL_DISABLE_LDAP = @CURL_DISABLE_LDAP@
  464. CURL_DISABLE_LDAPS = @CURL_DISABLE_LDAPS@
  465. CURL_DISABLE_POP3 = @CURL_DISABLE_POP3@
  466. CURL_DISABLE_PROXY = @CURL_DISABLE_PROXY@
  467. CURL_DISABLE_RTSP = @CURL_DISABLE_RTSP@
  468. CURL_DISABLE_SMB = @CURL_DISABLE_SMB@
  469. CURL_DISABLE_SMTP = @CURL_DISABLE_SMTP@
  470. CURL_DISABLE_TELNET = @CURL_DISABLE_TELNET@
  471. CURL_DISABLE_TFTP = @CURL_DISABLE_TFTP@
  472. CURL_LT_SHLIB_VERSIONED_FLAVOUR = @CURL_LT_SHLIB_VERSIONED_FLAVOUR@
  473. CURL_NETWORK_AND_TIME_LIBS = @CURL_NETWORK_AND_TIME_LIBS@
  474. CURL_NETWORK_LIBS = @CURL_NETWORK_LIBS@
  475. CURL_WITH_MULTI_SSL = @CURL_WITH_MULTI_SSL@
  476. CYGPATH_W = @CYGPATH_W@
  477. DEFAULT_SSL_BACKEND = @DEFAULT_SSL_BACKEND@
  478. DEFS = @DEFS@
  479. DEPDIR = @DEPDIR@
  480. DLLTOOL = @DLLTOOL@
  481. DSYMUTIL = @DSYMUTIL@
  482. DUMPBIN = @DUMPBIN@
  483. ECHO_C = @ECHO_C@
  484. ECHO_N = @ECHO_N@
  485. ECHO_T = @ECHO_T@
  486. EGREP = @EGREP@
  487. ENABLE_SHARED = @ENABLE_SHARED@
  488. ENABLE_STATIC = @ENABLE_STATIC@
  489. EXEEXT = @EXEEXT@
  490. FGREP = @FGREP@
  491. GCOV = @GCOV@
  492. GENHTML = @GENHTML@
  493. GREP = @GREP@
  494. HAVE_BROTLI = @HAVE_BROTLI@
  495. HAVE_GNUTLS_SRP = @HAVE_GNUTLS_SRP@
  496. HAVE_LDAP_SSL = @HAVE_LDAP_SSL@
  497. HAVE_LIBZ = @HAVE_LIBZ@
  498. HAVE_OPENSSL_SRP = @HAVE_OPENSSL_SRP@
  499. IDN_ENABLED = @IDN_ENABLED@
  500. INSTALL = @INSTALL@
  501. INSTALL_DATA = @INSTALL_DATA@
  502. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  503. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  504. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  505. IPV6_ENABLED = @IPV6_ENABLED@
  506. LCOV = @LCOV@
  507. LD = @LD@
  508. LDFLAGS = @LDFLAGS@
  509. LIBCURL_LIBS = @LIBCURL_LIBS@
  510. LIBMETALINK_CPPFLAGS = @LIBMETALINK_CPPFLAGS@
  511. LIBMETALINK_LDFLAGS = @LIBMETALINK_LDFLAGS@
  512. LIBMETALINK_LIBS = @LIBMETALINK_LIBS@
  513. LIBOBJS = @LIBOBJS@
  514. LIBS = @LIBS@
  515. LIBTOOL = @LIBTOOL@
  516. LIPO = @LIPO@
  517. LN_S = @LN_S@
  518. LTLIBOBJS = @LTLIBOBJS@
  519. LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
  520. MAINT = @MAINT@
  521. MAKEINFO = @MAKEINFO@
  522. MANIFEST_TOOL = @MANIFEST_TOOL@
  523. MANOPT = @MANOPT@
  524. MKDIR_P = @MKDIR_P@
  525. NM = @NM@
  526. NMEDIT = @NMEDIT@
  527. NROFF = @NROFF@
  528. NSS_LIBS = @NSS_LIBS@
  529. OBJDUMP = @OBJDUMP@
  530. OBJEXT = @OBJEXT@
  531. OTOOL = @OTOOL@
  532. OTOOL64 = @OTOOL64@
  533. PACKAGE = @PACKAGE@
  534. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  535. PACKAGE_NAME = @PACKAGE_NAME@
  536. PACKAGE_STRING = @PACKAGE_STRING@
  537. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  538. PACKAGE_URL = @PACKAGE_URL@
  539. PACKAGE_VERSION = @PACKAGE_VERSION@
  540. PATH_SEPARATOR = @PATH_SEPARATOR@
  541. PERL = @PERL@
  542. PKGADD_NAME = @PKGADD_NAME@
  543. PKGADD_PKG = @PKGADD_PKG@
  544. PKGADD_VENDOR = @PKGADD_VENDOR@
  545. PKGCONFIG = @PKGCONFIG@
  546. RANDOM_FILE = @RANDOM_FILE@
  547. RANLIB = @RANLIB@
  548. REQUIRE_LIB_DEPS = @REQUIRE_LIB_DEPS@
  549. SED = @SED@
  550. SET_MAKE = @SET_MAKE@
  551. SHELL = @SHELL@
  552. SSL_BACKENDS = @SSL_BACKENDS@
  553. SSL_ENABLED = @SSL_ENABLED@
  554. SSL_LIBS = @SSL_LIBS@
  555. STRIP = @STRIP@
  556. SUPPORT_FEATURES = @SUPPORT_FEATURES@
  557. SUPPORT_PROTOCOLS = @SUPPORT_PROTOCOLS@
  558. USE_ARES = @USE_ARES@
  559. USE_AXTLS = @USE_AXTLS@
  560. USE_CYASSL = @USE_CYASSL@
  561. USE_DARWINSSL = @USE_DARWINSSL@
  562. USE_GNUTLS = @USE_GNUTLS@
  563. USE_GNUTLS_NETTLE = @USE_GNUTLS_NETTLE@
  564. USE_LIBRTMP = @USE_LIBRTMP@
  565. USE_LIBSSH = @USE_LIBSSH@
  566. USE_LIBSSH2 = @USE_LIBSSH2@
  567. USE_MBEDTLS = @USE_MBEDTLS@
  568. USE_NGHTTP2 = @USE_NGHTTP2@
  569. USE_NSS = @USE_NSS@
  570. USE_OPENLDAP = @USE_OPENLDAP@
  571. USE_POLARSSL = @USE_POLARSSL@
  572. USE_SCHANNEL = @USE_SCHANNEL@
  573. USE_UNIX_SOCKETS = @USE_UNIX_SOCKETS@
  574. USE_WINDOWS_SSPI = @USE_WINDOWS_SSPI@
  575. VERSION = @VERSION@
  576. VERSIONNUM = @VERSIONNUM@
  577. ZLIB_LIBS = @ZLIB_LIBS@
  578. ZSH_FUNCTIONS_DIR = @ZSH_FUNCTIONS_DIR@
  579. abs_builddir = @abs_builddir@
  580. abs_srcdir = @abs_srcdir@
  581. abs_top_builddir = @abs_top_builddir@
  582. abs_top_srcdir = @abs_top_srcdir@
  583. ac_ct_AR = @ac_ct_AR@
  584. ac_ct_CC = @ac_ct_CC@
  585. ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
  586. am__include = @am__include@
  587. am__leading_dot = @am__leading_dot@
  588. am__quote = @am__quote@
  589. am__tar = @am__tar@
  590. am__untar = @am__untar@
  591. bindir = @bindir@
  592. build = @build@
  593. build_alias = @build_alias@
  594. build_cpu = @build_cpu@
  595. build_os = @build_os@
  596. build_vendor = @build_vendor@
  597. builddir = @builddir@
  598. datadir = @datadir@
  599. datarootdir = @datarootdir@
  600. docdir = @docdir@
  601. dvidir = @dvidir@
  602. exec_prefix = @exec_prefix@
  603. host = @host@
  604. host_alias = @host_alias@
  605. host_cpu = @host_cpu@
  606. host_os = @host_os@
  607. host_vendor = @host_vendor@
  608. htmldir = @htmldir@
  609. includedir = @includedir@
  610. infodir = @infodir@
  611. install_sh = @install_sh@
  612. libdir = @libdir@
  613. libexecdir = @libexecdir@
  614. libext = @libext@
  615. localedir = @localedir@
  616. localstatedir = @localstatedir@
  617. mandir = @mandir@
  618. mkdir_p = @mkdir_p@
  619. oldincludedir = @oldincludedir@
  620. pdfdir = @pdfdir@
  621. prefix = @prefix@
  622. program_transform_name = @program_transform_name@
  623. psdir = @psdir@
  624. runstatedir = @runstatedir@
  625. sbindir = @sbindir@
  626. sharedstatedir = @sharedstatedir@
  627. srcdir = @srcdir@
  628. subdirs = @subdirs@
  629. sysconfdir = @sysconfdir@
  630. target_alias = @target_alias@
  631. top_build_prefix = @top_build_prefix@
  632. top_builddir = @top_builddir@
  633. top_srcdir = @top_srcdir@
  634. AUTOMAKE_OPTIONS = foreign no-dependencies
  635. SUBDIRS = opts
  636. man_MANS = curl_easy_cleanup.3 curl_easy_getinfo.3 curl_easy_init.3 \
  637. curl_easy_perform.3 curl_easy_setopt.3 curl_easy_duphandle.3 \
  638. curl_formadd.3 curl_formfree.3 curl_getdate.3 curl_getenv.3 \
  639. curl_slist_append.3 curl_slist_free_all.3 curl_version.3 \
  640. curl_version_info.3 curl_escape.3 curl_unescape.3 curl_free.3 \
  641. curl_strequal.3 curl_strnequal.3 curl_mprintf.3 curl_global_init.3 \
  642. curl_global_cleanup.3 curl_multi_add_handle.3 curl_multi_cleanup.3 \
  643. curl_multi_fdset.3 curl_multi_info_read.3 curl_multi_init.3 \
  644. curl_multi_perform.3 curl_multi_remove_handle.3 curl_share_cleanup.3 \
  645. curl_share_init.3 curl_share_setopt.3 libcurl.3 libcurl-easy.3 \
  646. libcurl-multi.3 libcurl-share.3 libcurl-errors.3 curl_easy_strerror.3 \
  647. curl_multi_strerror.3 curl_share_strerror.3 curl_global_init_mem.3 \
  648. libcurl-tutorial.3 curl_easy_reset.3 curl_easy_escape.3 \
  649. curl_easy_unescape.3 curl_multi_setopt.3 curl_multi_socket.3 \
  650. curl_multi_timeout.3 curl_formget.3 curl_multi_assign.3 \
  651. curl_easy_pause.3 curl_easy_recv.3 curl_easy_send.3 \
  652. curl_multi_socket_action.3 curl_multi_wait.3 libcurl-symbols.3 \
  653. libcurl-thread.3 curl_multi_socket_all.3 curl_global_sslset.3 \
  654. curl_mime_init.3 curl_mime_free.3 curl_mime_addpart.3 curl_mime_name.3 \
  655. curl_mime_data.3 curl_mime_data_cb.3 curl_mime_filedata.3 \
  656. curl_mime_filename.3 curl_mime_subparts.3 \
  657. curl_mime_type.3 curl_mime_headers.3 curl_mime_encoder.3 libcurl-env.3 \
  658. libcurl-security.3
  659. man_DISTMANS = $(man_MANS:.3=.3.dist)
  660. HTMLPAGES = $(man_MANS:.3=.html)
  661. PDFPAGES = $(man_MANS:.3=.pdf)
  662. m4macrodir = $(datadir)/aclocal
  663. dist_m4macro_DATA = libcurl.m4
  664. CLEANFILES = $(HTMLPAGES) $(PDFPAGES) $(TESTS) $(man_DISTMANS) \
  665. libcurl-symbols.3
  666. EXTRA_DIST = $(man_MANS) ABI symbols-in-versions symbols.pl \
  667. mksymbolsmanpage.pl CMakeLists.txt
  668. MAN2HTML = roffit --mandir=. $< >$@
  669. SUFFIXES = .3 .html
  670. # Make sure each option man page is referenced in the main man page
  671. TESTS = check-easy check-multi
  672. LOG_COMPILER = $(PERL)
  673. # The test fails if the log file contains any text
  674. AM_LOG_FLAGS = -p -e 'die "$$_" if ($$_);'
  675. all: all-recursive
  676. .SUFFIXES:
  677. .SUFFIXES: .3 .html .log .pdf .test .test$(EXEEXT) .trs
  678. $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/Makefile.inc $(am__configure_deps)
  679. @for dep in $?; do \
  680. case '$(am__configure_deps)' in \
  681. *$$dep*) \
  682. ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  683. && { if test -f $@; then exit 0; else break; fi; }; \
  684. exit 1;; \
  685. esac; \
  686. done; \
  687. echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign docs/libcurl/Makefile'; \
  688. $(am__cd) $(top_srcdir) && \
  689. $(AUTOMAKE) --foreign docs/libcurl/Makefile
  690. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  691. @case '$?' in \
  692. *config.status*) \
  693. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  694. *) \
  695. echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
  696. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
  697. esac;
  698. $(srcdir)/Makefile.inc $(am__empty):
  699. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  700. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  701. $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
  702. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  703. $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
  704. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  705. $(am__aclocal_m4_deps):
  706. mostlyclean-libtool:
  707. -rm -f *.lo
  708. clean-libtool:
  709. -rm -rf .libs _libs
  710. install-man3: $(man_MANS)
  711. @$(NORMAL_INSTALL)
  712. @list1=''; \
  713. list2='$(man_MANS)'; \
  714. test -n "$(man3dir)" \
  715. && test -n "`echo $$list1$$list2`" \
  716. || exit 0; \
  717. echo " $(MKDIR_P) '$(DESTDIR)$(man3dir)'"; \
  718. $(MKDIR_P) "$(DESTDIR)$(man3dir)" || exit 1; \
  719. { for i in $$list1; do echo "$$i"; done; \
  720. if test -n "$$list2"; then \
  721. for i in $$list2; do echo "$$i"; done \
  722. | sed -n '/\.3[a-z]*$$/p'; \
  723. fi; \
  724. } | while read p; do \
  725. if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  726. echo "$$d$$p"; echo "$$p"; \
  727. done | \
  728. sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^3][0-9a-z]*$$,3,;x' \
  729. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
  730. sed 'N;N;s,\n, ,g' | { \
  731. list=; while read file base inst; do \
  732. if test "$$base" = "$$inst"; then list="$$list $$file"; else \
  733. echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man3dir)/$$inst'"; \
  734. $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man3dir)/$$inst" || exit $$?; \
  735. fi; \
  736. done; \
  737. for i in $$list; do echo "$$i"; done | $(am__base_list) | \
  738. while read files; do \
  739. test -z "$$files" || { \
  740. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man3dir)'"; \
  741. $(INSTALL_DATA) $$files "$(DESTDIR)$(man3dir)" || exit $$?; }; \
  742. done; }
  743. uninstall-man3:
  744. @$(NORMAL_UNINSTALL)
  745. @list=''; test -n "$(man3dir)" || exit 0; \
  746. files=`{ for i in $$list; do echo "$$i"; done; \
  747. l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
  748. sed -n '/\.3[a-z]*$$/p'; \
  749. } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^3][0-9a-z]*$$,3,;x' \
  750. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
  751. dir='$(DESTDIR)$(man3dir)'; $(am__uninstall_files_from_dir)
  752. install-dist_m4macroDATA: $(dist_m4macro_DATA)
  753. @$(NORMAL_INSTALL)
  754. @list='$(dist_m4macro_DATA)'; test -n "$(m4macrodir)" || list=; \
  755. if test -n "$$list"; then \
  756. echo " $(MKDIR_P) '$(DESTDIR)$(m4macrodir)'"; \
  757. $(MKDIR_P) "$(DESTDIR)$(m4macrodir)" || exit 1; \
  758. fi; \
  759. for p in $$list; do \
  760. if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  761. echo "$$d$$p"; \
  762. done | $(am__base_list) | \
  763. while read files; do \
  764. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(m4macrodir)'"; \
  765. $(INSTALL_DATA) $$files "$(DESTDIR)$(m4macrodir)" || exit $$?; \
  766. done
  767. uninstall-dist_m4macroDATA:
  768. @$(NORMAL_UNINSTALL)
  769. @list='$(dist_m4macro_DATA)'; test -n "$(m4macrodir)" || list=; \
  770. files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
  771. dir='$(DESTDIR)$(m4macrodir)'; $(am__uninstall_files_from_dir)
  772. # This directory's subdirectories are mostly independent; you can cd
  773. # into them and run 'make' without going through this Makefile.
  774. # To change the values of 'make' variables: instead of editing Makefiles,
  775. # (1) if the variable is set in 'config.status', edit 'config.status'
  776. # (which will cause the Makefiles to be regenerated when you run 'make');
  777. # (2) otherwise, pass the desired values on the 'make' command line.
  778. $(am__recursive_targets):
  779. @fail=; \
  780. if $(am__make_keepgoing); then \
  781. failcom='fail=yes'; \
  782. else \
  783. failcom='exit 1'; \
  784. fi; \
  785. dot_seen=no; \
  786. target=`echo $@ | sed s/-recursive//`; \
  787. case "$@" in \
  788. distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
  789. *) list='$(SUBDIRS)' ;; \
  790. esac; \
  791. for subdir in $$list; do \
  792. echo "Making $$target in $$subdir"; \
  793. if test "$$subdir" = "."; then \
  794. dot_seen=yes; \
  795. local_target="$$target-am"; \
  796. else \
  797. local_target="$$target"; \
  798. fi; \
  799. ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  800. || eval $$failcom; \
  801. done; \
  802. if test "$$dot_seen" = "no"; then \
  803. $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  804. fi; test -z "$$fail"
  805. ID: $(am__tagged_files)
  806. $(am__define_uniq_tagged_files); mkid -fID $$unique
  807. tags: tags-recursive
  808. TAGS: tags
  809. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  810. set x; \
  811. here=`pwd`; \
  812. if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
  813. include_option=--etags-include; \
  814. empty_fix=.; \
  815. else \
  816. include_option=--include; \
  817. empty_fix=; \
  818. fi; \
  819. list='$(SUBDIRS)'; for subdir in $$list; do \
  820. if test "$$subdir" = .; then :; else \
  821. test ! -f $$subdir/TAGS || \
  822. set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
  823. fi; \
  824. done; \
  825. $(am__define_uniq_tagged_files); \
  826. shift; \
  827. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  828. test -n "$$unique" || unique=$$empty_fix; \
  829. if test $$# -gt 0; then \
  830. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  831. "$$@" $$unique; \
  832. else \
  833. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  834. $$unique; \
  835. fi; \
  836. fi
  837. ctags: ctags-recursive
  838. CTAGS: ctags
  839. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  840. $(am__define_uniq_tagged_files); \
  841. test -z "$(CTAGS_ARGS)$$unique" \
  842. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  843. $$unique
  844. GTAGS:
  845. here=`$(am__cd) $(top_builddir) && pwd` \
  846. && $(am__cd) $(top_srcdir) \
  847. && gtags -i $(GTAGS_ARGS) "$$here"
  848. cscopelist: cscopelist-recursive
  849. cscopelist-am: $(am__tagged_files)
  850. list='$(am__tagged_files)'; \
  851. case "$(srcdir)" in \
  852. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  853. *) sdir=$(subdir)/$(srcdir) ;; \
  854. esac; \
  855. for i in $$list; do \
  856. if test -f "$$i"; then \
  857. echo "$(subdir)/$$i"; \
  858. else \
  859. echo "$$sdir/$$i"; \
  860. fi; \
  861. done >> $(top_builddir)/cscope.files
  862. distclean-tags:
  863. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  864. # Recover from deleted '.trs' file; this should ensure that
  865. # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
  866. # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
  867. # to avoid problems with "make -n".
  868. .log.trs:
  869. rm -f $< $@
  870. $(MAKE) $(AM_MAKEFLAGS) $<
  871. # Leading 'am--fnord' is there to ensure the list of targets does not
  872. # expand to empty, as could happen e.g. with make check TESTS=''.
  873. am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
  874. am--force-recheck:
  875. @:
  876. $(TEST_SUITE_LOG): $(TEST_LOGS)
  877. @$(am__set_TESTS_bases); \
  878. am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
  879. redo_bases=`for i in $$bases; do \
  880. am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
  881. done`; \
  882. if test -n "$$redo_bases"; then \
  883. redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  884. redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  885. if $(am__make_dryrun); then :; else \
  886. rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  887. fi; \
  888. fi; \
  889. if test -n "$$am__remaking_logs"; then \
  890. echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
  891. "recursion detected" >&2; \
  892. elif test -n "$$redo_logs"; then \
  893. am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
  894. fi; \
  895. if $(am__make_dryrun); then :; else \
  896. st=0; \
  897. errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  898. for i in $$redo_bases; do \
  899. test -f $$i.trs && test -r $$i.trs \
  900. || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
  901. test -f $$i.log && test -r $$i.log \
  902. || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  903. done; \
  904. test $$st -eq 0 || exit 1; \
  905. fi
  906. @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
  907. ws='[ ]'; \
  908. results=`for b in $$bases; do echo $$b.trs; done`; \
  909. test -n "$$results" || results=/dev/null; \
  910. all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
  911. pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
  912. fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
  913. skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
  914. xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
  915. xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
  916. error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
  917. if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  918. success=true; \
  919. else \
  920. success=false; \
  921. fi; \
  922. br='==================='; br=$$br$$br$$br$$br; \
  923. result_count () \
  924. { \
  925. if test x"$$1" = x"--maybe-color"; then \
  926. maybe_colorize=yes; \
  927. elif test x"$$1" = x"--no-color"; then \
  928. maybe_colorize=no; \
  929. else \
  930. echo "$@: invalid 'result_count' usage" >&2; exit 4; \
  931. fi; \
  932. shift; \
  933. desc=$$1 count=$$2; \
  934. if test $$maybe_colorize = yes && test $$count -gt 0; then \
  935. color_start=$$3 color_end=$$std; \
  936. else \
  937. color_start= color_end=; \
  938. fi; \
  939. echo "$${color_start}# $$desc $$count$${color_end}"; \
  940. }; \
  941. create_testsuite_report () \
  942. { \
  943. result_count $$1 "TOTAL:" $$all "$$brg"; \
  944. result_count $$1 "PASS: " $$pass "$$grn"; \
  945. result_count $$1 "SKIP: " $$skip "$$blu"; \
  946. result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
  947. result_count $$1 "FAIL: " $$fail "$$red"; \
  948. result_count $$1 "XPASS:" $$xpass "$$red"; \
  949. result_count $$1 "ERROR:" $$error "$$mgn"; \
  950. }; \
  951. { \
  952. echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
  953. $(am__rst_title); \
  954. create_testsuite_report --no-color; \
  955. echo; \
  956. echo ".. contents:: :depth: 2"; \
  957. echo; \
  958. for b in $$bases; do echo $$b; done \
  959. | $(am__create_global_log); \
  960. } >$(TEST_SUITE_LOG).tmp || exit 1; \
  961. mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
  962. if $$success; then \
  963. col="$$grn"; \
  964. else \
  965. col="$$red"; \
  966. test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
  967. fi; \
  968. echo "$${col}$$br$${std}"; \
  969. echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}"; \
  970. echo "$${col}$$br$${std}"; \
  971. create_testsuite_report --maybe-color; \
  972. echo "$$col$$br$$std"; \
  973. if $$success; then :; else \
  974. echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
  975. if test -n "$(PACKAGE_BUGREPORT)"; then \
  976. echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
  977. fi; \
  978. echo "$$col$$br$$std"; \
  979. fi; \
  980. $$success || exit 1
  981. check-TESTS:
  982. @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
  983. @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
  984. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  985. @set +e; $(am__set_TESTS_bases); \
  986. log_list=`for i in $$bases; do echo $$i.log; done`; \
  987. trs_list=`for i in $$bases; do echo $$i.trs; done`; \
  988. log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
  989. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
  990. exit $$?;
  991. recheck: all
  992. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  993. @set +e; $(am__set_TESTS_bases); \
  994. bases=`for i in $$bases; do echo $$i; done \
  995. | $(am__list_recheck_tests)` || exit 1; \
  996. log_list=`for i in $$bases; do echo $$i.log; done`; \
  997. log_list=`echo $$log_list`; \
  998. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
  999. am__force_recheck=am--force-recheck \
  1000. TEST_LOGS="$$log_list"; \
  1001. exit $$?
  1002. check-easy.log: check-easy
  1003. @p='check-easy'; \
  1004. b='check-easy'; \
  1005. $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  1006. --log-file $$b.log --trs-file $$b.trs \
  1007. $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  1008. "$$tst" $(AM_TESTS_FD_REDIRECT)
  1009. check-multi.log: check-multi
  1010. @p='check-multi'; \
  1011. b='check-multi'; \
  1012. $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  1013. --log-file $$b.log --trs-file $$b.trs \
  1014. $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  1015. "$$tst" $(AM_TESTS_FD_REDIRECT)
  1016. .test.log:
  1017. @p='$<'; \
  1018. $(am__set_b); \
  1019. $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  1020. --log-file $$b.log --trs-file $$b.trs \
  1021. $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  1022. "$$tst" $(AM_TESTS_FD_REDIRECT)
  1023. @am__EXEEXT_TRUE@.test$(EXEEXT).log:
  1024. @am__EXEEXT_TRUE@ @p='$<'; \
  1025. @am__EXEEXT_TRUE@ $(am__set_b); \
  1026. @am__EXEEXT_TRUE@ $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  1027. @am__EXEEXT_TRUE@ --log-file $$b.log --trs-file $$b.trs \
  1028. @am__EXEEXT_TRUE@ $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  1029. @am__EXEEXT_TRUE@ "$$tst" $(AM_TESTS_FD_REDIRECT)
  1030. distdir: $(BUILT_SOURCES)
  1031. $(MAKE) $(AM_MAKEFLAGS) distdir-am
  1032. distdir-am: $(DISTFILES)
  1033. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  1034. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  1035. list='$(DISTFILES)'; \
  1036. dist_files=`for file in $$list; do echo $$file; done | \
  1037. sed -e "s|^$$srcdirstrip/||;t" \
  1038. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  1039. case $$dist_files in \
  1040. */*) $(MKDIR_P) `echo "$$dist_files" | \
  1041. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  1042. sort -u` ;; \
  1043. esac; \
  1044. for file in $$dist_files; do \
  1045. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  1046. if test -d $$d/$$file; then \
  1047. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  1048. if test -d "$(distdir)/$$file"; then \
  1049. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  1050. fi; \
  1051. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  1052. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  1053. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  1054. fi; \
  1055. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  1056. else \
  1057. test -f "$(distdir)/$$file" \
  1058. || cp -p $$d/$$file "$(distdir)/$$file" \
  1059. || exit 1; \
  1060. fi; \
  1061. done
  1062. @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  1063. if test "$$subdir" = .; then :; else \
  1064. $(am__make_dryrun) \
  1065. || test -d "$(distdir)/$$subdir" \
  1066. || $(MKDIR_P) "$(distdir)/$$subdir" \
  1067. || exit 1; \
  1068. dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
  1069. $(am__relativize); \
  1070. new_distdir=$$reldir; \
  1071. dir1=$$subdir; dir2="$(top_distdir)"; \
  1072. $(am__relativize); \
  1073. new_top_distdir=$$reldir; \
  1074. echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
  1075. echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
  1076. ($(am__cd) $$subdir && \
  1077. $(MAKE) $(AM_MAKEFLAGS) \
  1078. top_distdir="$$new_top_distdir" \
  1079. distdir="$$new_distdir" \
  1080. am__remove_distdir=: \
  1081. am__skip_length_check=: \
  1082. am__skip_mode_fix=: \
  1083. distdir) \
  1084. || exit 1; \
  1085. fi; \
  1086. done
  1087. check-am: all-am
  1088. $(MAKE) $(AM_MAKEFLAGS) check-TESTS
  1089. check: check-recursive
  1090. all-am: Makefile $(MANS) $(DATA)
  1091. installdirs: installdirs-recursive
  1092. installdirs-am:
  1093. for dir in "$(DESTDIR)$(man3dir)" "$(DESTDIR)$(m4macrodir)"; do \
  1094. test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  1095. done
  1096. install: install-recursive
  1097. install-exec: install-exec-recursive
  1098. install-data: install-data-recursive
  1099. uninstall: uninstall-recursive
  1100. install-am: all-am
  1101. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  1102. installcheck: installcheck-recursive
  1103. install-strip:
  1104. if test -z '$(STRIP)'; then \
  1105. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  1106. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  1107. install; \
  1108. else \
  1109. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  1110. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  1111. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  1112. fi
  1113. mostlyclean-generic:
  1114. -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
  1115. -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
  1116. -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  1117. clean-generic:
  1118. -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
  1119. distclean-generic:
  1120. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  1121. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  1122. maintainer-clean-generic:
  1123. @echo "This command is intended for maintainers to use"
  1124. @echo "it deletes files that may require special tools to rebuild."
  1125. clean: clean-recursive
  1126. clean-am: clean-generic clean-libtool mostlyclean-am
  1127. distclean: distclean-recursive
  1128. -rm -f Makefile
  1129. distclean-am: clean-am distclean-generic distclean-tags
  1130. dvi: dvi-recursive
  1131. dvi-am:
  1132. html-am:
  1133. info: info-recursive
  1134. info-am:
  1135. install-data-am: install-dist_m4macroDATA install-man
  1136. install-dvi: install-dvi-recursive
  1137. install-dvi-am:
  1138. install-exec-am:
  1139. install-html: install-html-recursive
  1140. install-html-am:
  1141. install-info: install-info-recursive
  1142. install-info-am:
  1143. install-man: install-man3
  1144. install-pdf: install-pdf-recursive
  1145. install-pdf-am:
  1146. install-ps: install-ps-recursive
  1147. install-ps-am:
  1148. installcheck-am:
  1149. maintainer-clean: maintainer-clean-recursive
  1150. -rm -f Makefile
  1151. maintainer-clean-am: distclean-am maintainer-clean-generic
  1152. mostlyclean: mostlyclean-recursive
  1153. mostlyclean-am: mostlyclean-generic mostlyclean-libtool
  1154. pdf-am:
  1155. ps: ps-recursive
  1156. ps-am:
  1157. uninstall-am: uninstall-dist_m4macroDATA uninstall-man
  1158. uninstall-man: uninstall-man3
  1159. .MAKE: $(am__recursive_targets) check-am install-am install-strip
  1160. .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
  1161. check-TESTS check-am clean clean-generic clean-libtool \
  1162. cscopelist-am ctags ctags-am distclean distclean-generic \
  1163. distclean-libtool distclean-tags distdir dvi dvi-am html \
  1164. html-am info info-am install install-am install-data \
  1165. install-data-am install-dist_m4macroDATA install-dvi \
  1166. install-dvi-am install-exec install-exec-am install-html \
  1167. install-html-am install-info install-info-am install-man \
  1168. install-man3 install-pdf install-pdf-am install-ps \
  1169. install-ps-am install-strip installcheck installcheck-am \
  1170. installdirs installdirs-am maintainer-clean \
  1171. maintainer-clean-generic mostlyclean mostlyclean-generic \
  1172. mostlyclean-libtool pdf pdf-am ps ps-am recheck tags tags-am \
  1173. uninstall uninstall-am uninstall-dist_m4macroDATA \
  1174. uninstall-man uninstall-man3
  1175. .PRECIOUS: Makefile
  1176. libcurl-symbols.3: $(srcdir)/symbols-in-versions $(srcdir)/mksymbolsmanpage.pl
  1177. perl $(srcdir)/mksymbolsmanpage.pl < $(srcdir)/symbols-in-versions > $@
  1178. html: $(HTMLPAGES)
  1179. cd opts && $(MAKE) html
  1180. .3.html:
  1181. $(MAN2HTML)
  1182. pdf: $(PDFPAGES)
  1183. cd opts && $(MAKE) pdf
  1184. .3.pdf:
  1185. @(foo=`echo $@ | sed -e 's/\.[0-9]$$//g'`; \
  1186. groff -Tps -man $< >$$foo.ps; \
  1187. ps2pdf $$foo.ps $@; \
  1188. rm $$foo.ps; \
  1189. echo "converted $< to $@")
  1190. check-easy: $(srcdir)/curl_easy_setopt.3 $(srcdir)/opts/CURLOPT*.3
  1191. OPTS="$$(ls $(srcdir)/opts/CURLOPT*.3 | $(SED) -e 's,^.*/,,' -e 's,\.3$$,,')" && \
  1192. for opt in $$OPTS; do grep "^\.IP $$opt$$" $(srcdir)/curl_easy_setopt.3 >/dev/null || echo Missing $$opt; done > $@
  1193. check-multi: $(srcdir)/curl_multi_setopt.3 $(srcdir)/opts/CURLMOPT*.3
  1194. OPTS="$$(ls $(srcdir)/opts/CURLMOPT*.3 | $(SED) -e 's,^.*/,,' -e 's,\.3$$,,')" && \
  1195. for opt in $$OPTS; do grep "^\.IP $$opt$$" $(srcdir)/curl_multi_setopt.3 >/dev/null || echo Missing $$opt; done > $@
  1196. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  1197. # Otherwise a system limit (for SysV at least) may be exceeded.
  1198. .NOEXPORT: